Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class AbstractJifExtFactory_c

    java.lang.Object
      polyglot.ast.AbstractExtFactory_c
          jif.ast.AbstractJifExtFactory_c

All Implemented Interfaces:
  JifExtFactory, JifStmtExtFactory, polyglot.ast.ExtFactory

Direct Known Subclasses:
  JifExtFactory_c

    public class AbstractJifExtFactory_c

extends polyglot.ast.AbstractExtFactory_c
implements JifExtFactory

This class provides is Jif's Extension factory, creating the appropriate Ext objects as required.

Constructor Summary
`AbstractJifExtFactory_c()`
`AbstractJifExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)`

Method Summary
`polyglot.ast.Ext` | `extActsForConstraintNode()`
`protected polyglot.ast.Ext` | `extActsForConstraintNodeImpl()`
`polyglot.ast.Ext` | `extAmbDynamicLabelNode()`
`protected polyglot.ast.Ext` | `extAmbDynamicLabelNodeImpl()`
`polyglot.ast.Ext` | `extAmbNewArray()`
`protected polyglot.ast.Ext` | `extAmbNewArrayImpl()`
`polyglot.ast.Ext` | `extAmbParam()`
`protected polyglot.ast.Ext` | `extAmbParamImpl()`
`polyglot.ast.Ext` | `extAmbParamTypeOrAccess()`
`protected polyglot.ast.Ext` | `extAmbParamTypeOrAccessImpl()`
`polyglot.ast.Ext` | `extAmbPrincipalNode()`
`protected polyglot.ast.Ext` | `extAmbPrincipalNodeImpl()`
`polyglot.ast.Ext` | `extAmbThisLabelNode()`
`protected polyglot.ast.Ext` | `extAmbThisLabelNodeImpl()`
`polyglot.ast.Ext` | `extAmbVarLabelNode()`
`protected polyglot.ast.Ext` | `extAmbVarLabelNodeImpl()`
`polyglot.ast.Ext` | `extAuthConstraintNode()`
`protected polyglot.ast.Ext` | `extAuthConstraintNodeImpl()`
`polyglot.ast.Ext` | `extAutoEndorseConstraintNode()`
`protected polyglot.ast.Ext` | `extAutoEndorseConstraintNodeImpl()`
`polyglot.ast.Ext` | `extCallerConstraintNode()`
`protected polyglot.ast.Ext` | `extCallerConstraintNodeImpl()`
`polyglot.ast.Ext` | `extCanonicalConstraintNode()`
`protected polyglot.ast.Ext` | `extCanonicalConstraintNodeImpl()`
`polyglot.ast.Ext` | `extCanonicalLabelNode()`
`protected polyglot.ast.Ext` | `extCanonicalLabelNodeImpl()`
`polyglot.ast.Ext` | `extCanonicalPrincipalNode()`
`protected polyglot.ast.Ext` | `extCanonicalPrincipalNodeImpl()`
`polyglot.ast.Ext` | `extCheckedEndorseStmt()`
`protected polyglot.ast.Ext` | `extCheckedEndorseStmtImpl()`
`polyglot.ast.Ext` | `extConstraintNode()`
`protected polyglot.ast.Ext` | `extConstraintNodeImpl()`
`polyglot.ast.Ext` | `extDeclassifyExpr()`
`protected polyglot.ast.Ext` | `extDeclassifyExprImpl()`
`polyglot.ast.Ext` | `extDeclassifyStmt()`
`protected polyglot.ast.Ext` | `extDeclassifyStmtImpl()`
`polyglot.ast.Ext` | `extEndorseExpr()`
`protected polyglot.ast.Ext` | `extEndorseExprImpl()`
`polyglot.ast.Ext` | `extEndorseStmt()`
`protected polyglot.ast.Ext` | `extEndorseStmtImpl()`
`polyglot.ast.Ext` | `extInstTypeNode()`
`protected polyglot.ast.Ext` | `extInstTypeNodeImpl()`
`polyglot.ast.Ext` | `extJoinLabelNode()`
`protected polyglot.ast.Ext` | `extJoinLabelNodeImpl()`
`polyglot.ast.Ext` | `extLabeledTypeNode()`
`protected polyglot.ast.Ext` | `extLabeledTypeNodeImpl()`
`polyglot.ast.Ext` | `extLabelExpr()`
`protected polyglot.ast.Ext` | `extLabelExprImpl()`
`polyglot.ast.Ext` | `extLabelLeAssertionNode()`
`protected polyglot.ast.Ext` | `extLabelLeAssertionNodeImpl()`
`polyglot.ast.Ext` | `extLabelNode()`
`protected polyglot.ast.Ext` | `extLabelNodeImpl()`
`polyglot.ast.Ext` | `extMeetLabelNode()`
`protected polyglot.ast.Ext` | `extMeetLabelNodeImpl()`
`polyglot.ast.Ext` | `extNewLabel()`
`protected polyglot.ast.Ext` | `extNewLabelImpl()`
`polyglot.ast.Ext` | `extParamDecl()`
`protected polyglot.ast.Ext` | `extParamDeclImpl()`
`polyglot.ast.Ext` | `extParamNode()`
`protected polyglot.ast.Ext` | `extParamNodeImpl()`
`polyglot.ast.Ext` | `extPolicyNode()`
`protected polyglot.ast.Ext` | `extPolicyNodeImpl()`
`polyglot.ast.Ext` | `extPrincipalExpr()`
`protected polyglot.ast.Ext` | `extPrincipalExprImpl()`
`polyglot.ast.Ext` | `extPrincipalNode()`
`protected polyglot.ast.Ext` | `extPrincipalNodeImpl()`
`protected polyglot.ast.Ext` | `postExtActsForConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbDynamicLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbNewArray(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbParam(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbParamTypeOrAccess(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbPrincipalNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbThisLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAmbVarLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAuthConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtAutoEndorseConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCallerConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtCanonicalPrincipalNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtConstraintNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDeclassifyExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDeclassifyStmt(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDowngradeExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtDowngradeStmt(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtEndorseExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtEndorseStmt(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtInstTypeNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtJoinLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabeledTypeNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelLeAssertionNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtMeetLabelNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtNewLabel(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtParamDecl(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtParamNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtPolicyNode(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtPrincipalExpr(polyglot.ast.Ext e)`
`protected polyglot.ast.Ext` | `postExtPrincipalNode(polyglot.ast.Ext e)`

Methods inherited from class polyglot.ast.AbstractExtFactory_c
`composeExts, extAmbAssign, extAmbAssignImpl, extAmbExpr, extAmbExprImpl, extAmbPrefix, extAmbPrefixImpl, extAmbQualifierNode, extAmbQualifierNodeImpl, extAmbReceiver, extAmbReceiverImpl, extAmbTypeNode, extAmbTypeNodeImpl, extArrayAccess, extArrayAccessAssign, extArrayAccessAssignImpl, extArrayAccessImpl, extArrayInit, extArrayInitImpl, extArrayTypeNode, extArrayTypeNodeImpl, extAssert, extAssertImpl, extAssign, extAssignImpl, extBinary, extBinaryImpl, extBlock, extBlockImpl, extBooleanLit, extBooleanLitImpl, extBranch, extBranchImpl, extCall, extCallImpl, extCanonicalTypeNode, extCanonicalTypeNodeImpl, extCase, extCaseImpl, extCast, extCastImpl, extCatch, extCatchImpl, extCharLit, extCharLitImpl, extClassBody, extClassBodyImpl, extClassDecl, extClassDeclImpl, extClassLit, extClassLitImpl, extClassMember, extClassMemberImpl, extCodeDecl, extCodeDeclImpl, extCompoundStmt, extCompoundStmtImpl, extConditional, extConditionalImpl, extConstructorCall, extConstructorCallImpl, extConstructorDecl, extConstructorDeclImpl, extDo, extDoImpl, extEmpty, extEmptyImpl, extEval, extEvalImpl, extExpr, extExprImpl, extField, extFieldAssign, extFieldAssignImpl, extFieldDecl, extFieldDeclImpl, extFieldImpl, extFloatLit, extFloatLitImpl, extFor, extForImpl, extFormal, extFormalImpl, extId, extIdImpl, extIf, extIfImpl, extImport, extImportImpl, extInitializer, extInitializerImpl, extInstanceof, extInstanceofImpl, extIntLit, extIntLitImpl, extLabeled, extLabeledImpl, extLit, extLitImpl, extLocal, extLocalAssign, extLocalAssignImpl, extLocalClassDecl, extLocalClassDeclImpl, extLocalDecl, extLocalDeclImpl, extLocalImpl, extLoop, extLoopImpl, extMethodDecl, extMethodDeclImpl, extNew, extNewArray, extNewArrayImpl, extNewImpl, extNode, extNodeImpl, extNodeList, extNodeListImpl, extNullLit, extNullLitImpl, extNumLit, extNumLitImpl, extPackageNode, extPackageNodeImpl, extProcedureDecl, extProcedureDeclImpl, extReturn, extReturnImpl, extSourceCollection, extSourceCollectionImpl, extSourceFile, extSourceFileImpl, extSpecial, extSpecialImpl, extStmt, extStmtImpl, extStringLit, extStringLitImpl, extSwitch, extSwitchBlock, extSwitchBlockImpl, extSwitchElement, extSwitchElementImpl, extSwitchImpl, extSynchronized, extSynchronizedImpl, extTerm, extTermImpl, extThrow, extThrowImpl, extTry, extTryImpl, extTypeNode, extTypeNodeImpl, extUnary, extUnaryImpl, extWhile, extWhileImpl, nextExtFactory, postExtAmbAssign, postExtAmbExpr, postExtAmbPrefix, postExtAmbQualifierNode, postExtAmbReceiver, postExtAmbTypeNode, postExtArrayAccess, postExtArrayAccessAssign, postExtArrayInit, postExtArrayTypeNode, postExtAssert, postExtAssign, postExtBinary, postExtBlock, postExtBooleanLit, postExtBranch, postExtCall, postExtCanonicalTypeNode, postExtCase, postExtCast, postExtCatch, postExtCharLit, postExtClassBody, postExtClassDecl, postExtClassLit, postExtClassMember, postExtCodeDecl, postExtCompoundStmt, postExtConditional, postExtConstructorCall, postExtConstructorDecl, postExtDo, postExtEmpty, postExtEval, postExtExpr, postExtField, postExtFieldAssign, postExtFieldDecl, postExtFloatLit, postExtFor, postExtFormal, postExtId, postExtIf, postExtImport, postExtInitializer, postExtInstanceof, postExtIntLit, postExtLabeled, postExtLit, postExtLocal, postExtLocalAssign, postExtLocalClassDecl, postExtLocalDecl, postExtLoop, postExtMethodDecl, postExtNew, postExtNewArray, postExtNode, postExtNodeList, postExtNullLit, postExtNumLit, postExtPackageNode, postExtProcedureDecl, postExtReturn, postExtSourceCollection, postExtSourceFile, postExtSpecial, postExtStmt, postExtStringLit, postExtSwitch, postExtSwitchBlock, postExtSwitchElement, postExtSynchronized, postExtTerm, postExtThrow, postExtTry, postExtTypeNode, postExtUnary, postExtWhile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface polyglot.ast.ExtFactory
`extAmbAssign, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssign, extBinary, extBlock, extBooleanLit, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extClassBody, extClassDecl, extClassLit, extClassMember, extCodeDecl, extCompoundStmt, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNullLit, extNumLit, extPackageNode, extProcedureDecl, extReturn, extSourceCollection, extSourceFile, extSpecial, extStmt, extStringLit, extSwitch, extSwitchBlock, extSwitchElement, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, nextExtFactory`

Constructor Detail

### AbstractJifExtFactory_c

    public AbstractJifExtFactory_c()

### AbstractJifExtFactory_c

    public AbstractJifExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)

Method Detail

### extInstTypeNode

    public final polyglot.ast.Ext extInstTypeNode()

  Specified by:
    `extInstTypeNode` in interface `JifExtFactory`

### extLabeledTypeNode

    public final polyglot.ast.Ext extLabeledTypeNode()

  Specified by:
    `extLabeledTypeNode` in interface `JifExtFactory`

### extAmbNewArray

    public final polyglot.ast.Ext extAmbNewArray()

  Specified by:
    `extAmbNewArray` in interface `JifExtFactory`

### extAmbParamTypeOrAccess

    public final polyglot.ast.Ext extAmbParamTypeOrAccess()

  Specified by:
    `extAmbParamTypeOrAccess` in interface `JifExtFactory`

### extJoinLabelNode

    public final polyglot.ast.Ext extJoinLabelNode()

  Specified by:
    `extJoinLabelNode` in interface `JifExtFactory`

### extMeetLabelNode

    public final polyglot.ast.Ext extMeetLabelNode()

  Specified by:
    `extMeetLabelNode` in interface `JifExtFactory`

### extPolicyNode

    public final polyglot.ast.Ext extPolicyNode()

  Specified by:
    `extPolicyNode` in interface `JifExtFactory`

### extAmbDynamicLabelNode

    public final polyglot.ast.Ext extAmbDynamicLabelNode()

  Specified by:
    `extAmbDynamicLabelNode` in interface `JifExtFactory`

### extAmbVarLabelNode

    public final polyglot.ast.Ext extAmbVarLabelNode()

  Specified by:
    `extAmbVarLabelNode` in interface `JifExtFactory`

### extAmbThisLabelNode

    public final polyglot.ast.Ext extAmbThisLabelNode()

  Specified by:
    `extAmbThisLabelNode` in interface `JifExtFactory`

### extCanonicalLabelNode

    public final polyglot.ast.Ext extCanonicalLabelNode()

  Specified by:
    `extCanonicalLabelNode` in interface `JifExtFactory`

### extParamNode

    public final polyglot.ast.Ext extParamNode()

  Specified by:
    `extParamNode` in interface `JifExtFactory`

### extLabelNode

    public final polyglot.ast.Ext extLabelNode()

  Specified by:
    `extLabelNode` in interface `JifExtFactory`

### extPrincipalNode

    public final polyglot.ast.Ext extPrincipalNode()

  Specified by:
    `extPrincipalNode` in interface `JifExtFactory`

### extAmbPrincipalNode

    public final polyglot.ast.Ext extAmbPrincipalNode()

  Specified by:
    `extAmbPrincipalNode` in interface `JifExtFactory`

### extCanonicalPrincipalNode

    public final polyglot.ast.Ext extCanonicalPrincipalNode()

  Specified by:
    `extCanonicalPrincipalNode` in interface `JifExtFactory`

### extAmbParam

    public final polyglot.ast.Ext extAmbParam()

  Specified by:
    `extAmbParam` in interface `JifExtFactory`

### extParamDecl

    public final polyglot.ast.Ext extParamDecl()

  Specified by:
    `extParamDecl` in interface `JifExtFactory`

### extConstraintNode

    public final polyglot.ast.Ext extConstraintNode()

  Specified by:
    `extConstraintNode` in interface `JifExtFactory`

### extCanonicalConstraintNode

    public final polyglot.ast.Ext extCanonicalConstraintNode()

  Specified by:
    `extCanonicalConstraintNode` in interface `JifExtFactory`

### extAuthConstraintNode

    public final polyglot.ast.Ext extAuthConstraintNode()

  Specified by:
    `extAuthConstraintNode` in interface `JifExtFactory`

### extAutoEndorseConstraintNode

    public final polyglot.ast.Ext extAutoEndorseConstraintNode()

  Specified by:
    `extAutoEndorseConstraintNode` in interface `JifExtFactory`

### extCallerConstraintNode

    public final polyglot.ast.Ext extCallerConstraintNode()

  Specified by:
    `extCallerConstraintNode` in interface `JifExtFactory`

### extActsForConstraintNode

    public final polyglot.ast.Ext extActsForConstraintNode()

  Specified by:
    `extActsForConstraintNode` in interface `JifExtFactory`

### extLabelLeAssertionNode

    public final polyglot.ast.Ext extLabelLeAssertionNode()

  Specified by:
    `extLabelLeAssertionNode` in interface `JifExtFactory`

### extDeclassifyStmt

    public final polyglot.ast.Ext extDeclassifyStmt()

  Specified by:
    `extDeclassifyStmt` in interface `JifExtFactory`
  Specified by:
    `extDeclassifyStmt` in interface `JifStmtExtFactory`

### extDeclassifyExpr

    public final polyglot.ast.Ext extDeclassifyExpr()

  Specified by:
    `extDeclassifyExpr` in interface `JifExtFactory`

### extEndorseStmt

    public final polyglot.ast.Ext extEndorseStmt()

  Specified by:
    `extEndorseStmt` in interface `JifExtFactory`
  Specified by:
    `extEndorseStmt` in interface `JifStmtExtFactory`

### extCheckedEndorseStmt

    public final polyglot.ast.Ext extCheckedEndorseStmt()

  Specified by:
    `extCheckedEndorseStmt` in interface `JifExtFactory`
  Specified by:
    `extCheckedEndorseStmt` in interface `JifStmtExtFactory`

### extEndorseExpr

    public final polyglot.ast.Ext extEndorseExpr()

  Specified by:
    `extEndorseExpr` in interface `JifExtFactory`

### extNewLabel

    public final polyglot.ast.Ext extNewLabel()

  Specified by:
    `extNewLabel` in interface `JifExtFactory`

### extLabelExpr

    public final polyglot.ast.Ext extLabelExpr()

  Specified by:
    `extLabelExpr` in interface `JifExtFactory`

### extPrincipalExpr

    public final polyglot.ast.Ext extPrincipalExpr()

  Specified by:
    `extPrincipalExpr` in interface `JifExtFactory`

### extInstTypeNodeImpl

    protected polyglot.ast.Ext extInstTypeNodeImpl()

### extLabeledTypeNodeImpl

    protected polyglot.ast.Ext extLabeledTypeNodeImpl()

### extAmbNewArrayImpl

    protected polyglot.ast.Ext extAmbNewArrayImpl()

### extAmbParamTypeOrAccessImpl

    protected polyglot.ast.Ext extAmbParamTypeOrAccessImpl()

### extJoinLabelNodeImpl

    protected polyglot.ast.Ext extJoinLabelNodeImpl()

### extMeetLabelNodeImpl

    protected polyglot.ast.Ext extMeetLabelNodeImpl()

### extPolicyNodeImpl

    protected polyglot.ast.Ext extPolicyNodeImpl()

### extAmbDynamicLabelNodeImpl

    protected polyglot.ast.Ext extAmbDynamicLabelNodeImpl()

### extAmbVarLabelNodeImpl

    protected polyglot.ast.Ext extAmbVarLabelNodeImpl()

### extAmbThisLabelNodeImpl

    protected polyglot.ast.Ext extAmbThisLabelNodeImpl()

### extCanonicalLabelNodeImpl

    protected polyglot.ast.Ext extCanonicalLabelNodeImpl()

### extParamNodeImpl

    protected polyglot.ast.Ext extParamNodeImpl()

### extLabelNodeImpl

    protected polyglot.ast.Ext extLabelNodeImpl()

### extPrincipalNodeImpl

    protected polyglot.ast.Ext extPrincipalNodeImpl()

### extAmbPrincipalNodeImpl

    protected polyglot.ast.Ext extAmbPrincipalNodeImpl()

### extCanonicalPrincipalNodeImpl

    protected polyglot.ast.Ext extCanonicalPrincipalNodeImpl()

### extAmbParamImpl

    protected polyglot.ast.Ext extAmbParamImpl()

### extParamDeclImpl

    protected polyglot.ast.Ext extParamDeclImpl()

### extConstraintNodeImpl

    protected polyglot.ast.Ext extConstraintNodeImpl()

### extCanonicalConstraintNodeImpl

    protected polyglot.ast.Ext extCanonicalConstraintNodeImpl()

### extAuthConstraintNodeImpl

    protected polyglot.ast.Ext extAuthConstraintNodeImpl()

### extAutoEndorseConstraintNodeImpl

    protected polyglot.ast.Ext extAutoEndorseConstraintNodeImpl()

### extCallerConstraintNodeImpl

    protected polyglot.ast.Ext extCallerConstraintNodeImpl()

### extActsForConstraintNodeImpl

    protected polyglot.ast.Ext extActsForConstraintNodeImpl()

### extLabelLeAssertionNodeImpl

    protected polyglot.ast.Ext extLabelLeAssertionNodeImpl()

### extDeclassifyStmtImpl

    protected polyglot.ast.Ext extDeclassifyStmtImpl()

### extDeclassifyExprImpl

    protected polyglot.ast.Ext extDeclassifyExprImpl()

### extEndorseStmtImpl

    protected polyglot.ast.Ext extEndorseStmtImpl()

### extCheckedEndorseStmtImpl

    protected polyglot.ast.Ext extCheckedEndorseStmtImpl()

### extEndorseExprImpl

    protected polyglot.ast.Ext extEndorseExprImpl()

### extNewLabelImpl

    protected polyglot.ast.Ext extNewLabelImpl()

### extLabelExprImpl

    protected polyglot.ast.Ext extLabelExprImpl()

### extPrincipalExprImpl

    protected polyglot.ast.Ext extPrincipalExprImpl()

### postExtInstTypeNode

    protected polyglot.ast.Ext postExtInstTypeNode(polyglot.ast.Ext e)

### postExtLabeledTypeNode

    protected polyglot.ast.Ext postExtLabeledTypeNode(polyglot.ast.Ext e)

### postExtAmbNewArray

    protected polyglot.ast.Ext postExtAmbNewArray(polyglot.ast.Ext e)

### postExtAmbParamTypeOrAccess

    protected polyglot.ast.Ext postExtAmbParamTypeOrAccess(polyglot.ast.Ext e)

### postExtJoinLabelNode

    protected polyglot.ast.Ext postExtJoinLabelNode(polyglot.ast.Ext e)

### postExtMeetLabelNode

    protected polyglot.ast.Ext postExtMeetLabelNode(polyglot.ast.Ext e)

### postExtPolicyNode

    protected polyglot.ast.Ext postExtPolicyNode(polyglot.ast.Ext e)

### postExtAmbDynamicLabelNode

    protected polyglot.ast.Ext postExtAmbDynamicLabelNode(polyglot.ast.Ext e)

### postExtAmbVarLabelNode

    protected polyglot.ast.Ext postExtAmbVarLabelNode(polyglot.ast.Ext e)

### postExtAmbThisLabelNode

    protected polyglot.ast.Ext postExtAmbThisLabelNode(polyglot.ast.Ext e)

### postExtCanonicalLabelNode

    protected polyglot.ast.Ext postExtCanonicalLabelNode(polyglot.ast.Ext e)

### postExtParamNode

    protected polyglot.ast.Ext postExtParamNode(polyglot.ast.Ext e)

### postExtLabelNode

    protected polyglot.ast.Ext postExtLabelNode(polyglot.ast.Ext e)

### postExtPrincipalNode

    protected polyglot.ast.Ext postExtPrincipalNode(polyglot.ast.Ext e)

### postExtAmbPrincipalNode

    protected polyglot.ast.Ext postExtAmbPrincipalNode(polyglot.ast.Ext e)

### postExtCanonicalPrincipalNode

    protected polyglot.ast.Ext postExtCanonicalPrincipalNode(polyglot.ast.Ext e)

### postExtAmbParam

    protected polyglot.ast.Ext postExtAmbParam(polyglot.ast.Ext e)

### postExtParamDecl

    protected polyglot.ast.Ext postExtParamDecl(polyglot.ast.Ext e)

### postExtConstraintNode

    protected polyglot.ast.Ext postExtConstraintNode(polyglot.ast.Ext e)

### postExtCanonicalConstraintNode

    protected polyglot.ast.Ext postExtCanonicalConstraintNode(polyglot.ast.Ext e)

### postExtAuthConstraintNode

    protected polyglot.ast.Ext postExtAuthConstraintNode(polyglot.ast.Ext e)

### postExtAutoEndorseConstraintNode

    protected polyglot.ast.Ext postExtAutoEndorseConstraintNode(polyglot.ast.Ext e)

### postExtCallerConstraintNode

    protected polyglot.ast.Ext postExtCallerConstraintNode(polyglot.ast.Ext e)

### postExtActsForConstraintNode

    protected polyglot.ast.Ext postExtActsForConstraintNode(polyglot.ast.Ext e)

### postExtLabelLeAssertionNode

    protected polyglot.ast.Ext postExtLabelLeAssertionNode(polyglot.ast.Ext e)

### postExtDowngradeStmt

    protected polyglot.ast.Ext postExtDowngradeStmt(polyglot.ast.Ext e)

### postExtDowngradeExpr

    protected polyglot.ast.Ext postExtDowngradeExpr(polyglot.ast.Ext e)

### postExtDeclassifyStmt

    protected polyglot.ast.Ext postExtDeclassifyStmt(polyglot.ast.Ext e)

### postExtDeclassifyExpr

    protected polyglot.ast.Ext postExtDeclassifyExpr(polyglot.ast.Ext e)

### postExtEndorseStmt

    protected polyglot.ast.Ext postExtEndorseStmt(polyglot.ast.Ext e)

### postExtEndorseExpr

    protected polyglot.ast.Ext postExtEndorseExpr(polyglot.ast.Ext e)

### postExtNewLabel

    protected polyglot.ast.Ext postExtNewLabel(polyglot.ast.Ext e)

### postExtLabelExpr

    protected polyglot.ast.Ext postExtLabelExpr(polyglot.ast.Ext e)

### postExtPrincipalExpr

    protected polyglot.ast.Ext postExtPrincipalExpr(polyglot.ast.Ext e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD